For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
        • GETList by org
        • GETGet for administrator
        • GETList by user
        • GETGet for member
        • POSTCreate
        • PATCHUpdate name
        • POSTAdd event
        • DELRemove event
        • POSTAdd user
        • DELRemove user
        • DELDelete
        • POSTUser opt in
        • POSTUser opt out
LogoLogo
GithubSign up
API ReferenceNotificationsGroups

Update name

PATCH
/notifications/groups/update_name/v1/:group_id
PATCH
/notifications/groups/update_name/v1/:group_id
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.notifications.groups.updateNameV1("a3f47b2e-9c4d-4f1a-8b2e-3d5f7a9c1e2b", {
8 group_name: "Urgent Alerts",
9 });
10}
11main();
1true

Updates the name of a notification group. | authz: min_org_role=administrator | () -> (bool)

Was this page helpful?
Previous

Add event

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idstringRequired

Query parameters

group_namestringRequired

Response

Successful Response

Errors

422
Groups Update Name V1request Unprocessable Entity Error